<template>
  <ion-toolbar>
    <ion-searchbar @ionChange="$emit('filterSearch', searchString)" v-model="searchString" placeholder="Vyhľadaj témy"></ion-searchbar>
  </ion-toolbar>
</template>

<script>
import { IonSearchbar, IonToolbar } from '@ionic/vue';

export default {
	components: { IonSearchbar, IonToolbar },
	data: () => ({
		searchString: '',
	}),
};
</script>

<style scoped>
ion-toolbar { 
	max-width: 900px; 
	margin: 1rem auto 1rem auto;
	background: white !important;
}
.searchbar-input {
	background: white !important;
}
</style>